net.i2p.router.news

## Enum NewsXMLParser.XHTMLMode

- java.lang.Object
- - java.lang.Enum<NewsXMLParser.XHTMLMode>
  - - net.i2p.router.news.NewsXMLParser.XHTMLMode

- All Implemented Interfaces:
    Serializable, Comparable<NewsXMLParser.XHTMLMode>
  Enclosing class:
    NewsXMLParser

      public static enum NewsXMLParser.XHTMLMode
      extends Enum<NewsXMLParser.XHTMLMode>

  The action taken when encountering a non-whitelisted XHTML element or blacklisted attribute in the feed content.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABORT` abort the parsing on any non-whitelisted element or blacklisted attribute
    `ALLOW_ALL` disable all whitelist and blacklist checks
    `REMOVE_ATTRIBUTE` remove only the non-whitelisted element, remove only the blacklisted attribute
    `REMOVE_ELEMENT` remove only the non-whitelisted element, or element containing a blacklisted attribute
    `SKIP_ENTRY` skip the feed entry containing the non-whitelisted element or blacklisted attribute

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NewsXMLParser.XHTMLMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NewsXMLParser.XHTMLMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABORT

          public static final NewsXMLParser.XHTMLMode ABORT

      abort the parsing on any non-whitelisted element or blacklisted attribute

    - #### ALLOW_ALL

          public static final NewsXMLParser.XHTMLMode ALLOW_ALL

      disable all whitelist and blacklist checks

    - #### REMOVE_ATTRIBUTE

          public static final NewsXMLParser.XHTMLMode REMOVE_ATTRIBUTE

      remove only the non-whitelisted element, remove only the blacklisted attribute

    - #### REMOVE_ELEMENT

          public static final NewsXMLParser.XHTMLMode REMOVE_ELEMENT

      remove only the non-whitelisted element, or element containing a blacklisted attribute

    - #### SKIP_ENTRY

          public static final NewsXMLParser.XHTMLMode SKIP_ENTRY

      skip the feed entry containing the non-whitelisted element or blacklisted attribute

  - ### Method Detail

    - #### valueOf

          public static NewsXMLParser.XHTMLMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static NewsXMLParser.XHTMLMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NewsXMLParser.XHTMLMode c : NewsXMLParser.XHTMLMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared